<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2011 Tim Lochmueller (webmaster@fruit-lab.de)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *  A copy is found in the textfile GPL.txt and important notices to the license
 *  from the author is found in LICENSE.txt distributed with these scripts.
 *
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

class Tx_FlRealurlImage_CleanTask extends tx_scheduler_Task {

	/**
	 * Run the Scheduler
	 *
	 * @return boolean
	 */
	public function execute() {
		//$this->removeDoubleEntries();
		//$this->checkImagePath();

		return true;
	}

	/**
	 * Remove double entries
	 */
	protected function removeDoubleEntries() {
		$sql = "SELECT COUNT( * ) c, image_path FROM  tx_flrealurlimage_cache GROUP BY image_path ORDER BY c DESC LIMIT 0 , 100";
		$res = $GLOBALS['TYPO3_DB']->sql_query($sql);

		echo "<pre>";
		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
			if ($row['c'] > 1) {
				$rows = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows('*', 'tx_flrealurlimage_cache', 'image_path="' . $row['image_path'] . '"', '', 'uid');
				$nums = $row['c'];
				print_r($nums);
				print_r($rows);
			}
		}
	}

	/**
	 * Chek the Image Path
	 */
	protected function checkImagePath() {
		$sql = "SELECT uid,image_path FROM tx_flrealurlimage_cache";
		$res = $GLOBALS['TYPO3_DB']->sql_query($sql);
		while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
			if (!file_exists(PATH_site . $row['image_path'])) {
				echo $row['image_path'] . ' -- ' . $row['uid'] . '<br />';
			}
		}

		die();
	}

}